---
title: RTCDtlsTransport.iceTransport
slug: Web/API/RTCDtlsTransport/iceTransport
tags:
  - API
  - Draft
  - Experimental
  - NeedsCompatTable
  - NeedsExample
  - Property
  - RTCDtlsTransport
  - Read-only
  - Reference
  - iceTransport
---
<p>{{DefaultAPISidebar("WebRTC")}}{{draft}}</p>

<p><span class="seoSummary">The read-only <strong>{{DOMxRef("RTCDtlsTransport")}}</strong> property <code><strong>iceTransport</strong></code> contains a reference to the underlying {{DOMxRef("RTCIceTransport")}}.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>iceTransport</var> = <var>rtcDtlsTransport</var>.iceTransport;</pre>

<h3 id="Value">Value</h3>

<p>The underlying {{DOMxRef("RTCIceTransport")}} instance.</p>

<h2 id="Examples">Examples</h2>

<p>TBD</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("WebRTC 1.0", "#dom-rtcdtlstransport-icetransport", "RTCDtlsTransport.iceTransport")}}</td>
   <td>{{Spec2("WebRTC 1.0")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCDtlsTransport.iceTransport")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{DOMxRef("RTCDtlsTransport")}}</li>
 <li>{{DOMxRef("RTCIceTransport")}}</li>
</ul>
